Zum Hauptinhalt springen

Preview Order

POST/v2/order-previews
API-Version
v2
Request-Methode
POST
Operation-ID
order-preview-order

Request​

Responses​

Format
application/json
Beschreibung
  • *
Content-Type: application/json

null
{
"anyOf": [
{
"properties": {
"machineTypePrice": {
"example": 500,
"type": "number"
},
"possibleFreeTrialDays": {
"example": 10,
"type": "number"
},
"storagePrice": {
"example": 1000,
"type": "number"
},
"totalPrice": {
"example": 1500,
"type": "number"
}
},
"required": [
"totalPrice",
"storagePrice",
"machineTypePrice"
],
"type": "object"
},
{
"properties": {
"domainContractDuration": {
"description": "Contract duration in months.",
"example": 12,
"type": "number"
},
"domainPrice": {
"example": 800,
"type": "number"
},
"feePrice": {
"example": 100,
"type": "number"
},
"totalPrice": {
"example": 900,
"type": "number"
}
},
"required": [
"totalPrice",
"domainPrice",
"feePrice",
"domainContractDuration"
],
"type": "object"
},
{
"properties": {
"feePrice": {
"example": 900,
"type": "number"
},
"recurringPrice": {
"example": 490,
"type": "number"
},
"totalPrice": {
"example": 1390,
"type": "number"
}
},
"required": [
"totalPrice",
"recurringPrice",
"feePrice"
],
"type": "object"
},
{
"properties": {
"totalPrice": {
"example": 7900,
"type": "number"
}
},
"required": [
"totalPrice"
],
"type": "object"
},
{
"properties": {
"feePrice": {
"example": 199,
"type": "number"
},
"recurringPrice": {
"example": 350,
"type": "number"
},
"totalPrice": {
"example": 549,
"type": "number"
}
},
"required": [
"totalPrice",
"recurringPrice",
"feePrice"
],
"type": "object"
},
{
"properties": {
"totalPrice": {
"example": 500,
"type": "number"
}
},
"required": [
"totalPrice"
],
"type": "object"
},
{
"properties": {
"totalPrice": {
"example": 2000,
"type": "number"
}
},
"required": [
"totalPrice"
],
"type": "object"
}
]
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"orderData":{"customerId":"string","description":"My first project","diskspaceInGiB":20,"promotionCode":"123456","spec":{"machineType":"prospace.2cpu.4gb"}},"orderType":"domain"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/order-previews
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.contract.orderPreviewOrder({
"data": {
"orderData": {
"customerId": "string",
"description": "My first project",
"diskspaceInGiB": 20,
"promotionCode": "123456",
"spec": {
"machineType": "prospace.2cpu.4gb"
}
},
"orderType": "domain"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Contract\OrderPreviewOrder\OrderPreviewOrderRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Contract\OrderPreviewOrder\OrderPreviewOrderRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// OrderPreviewOrderRequestBody to learn how to construct a valid instance
$body = new OrderPreviewOrderRequestBody(/* TODO: ... */);

$request = (new OrderPreviewOrderRequest(
body: $body
));
$response = $client->contract()->orderPreviewOrder($request);

var_dump($response->getBody();

Auf dieser Seite